%define _lxml lxml
Summary: lxml is a Pythonic binding for the libxml2 and libxslt libraries
Summary(ja): lxml は libxml2 と libxslt の Python バインディングです
Name: python-%{_lxml}
Group: Development/Libraries
Version: 2.2.6
Release: 2%{?_dist_release}
License: BSD
URL: http://codespeak.net/lxml
#URL: http://pypi.python.org/pypi/lxml
Source: http://pypi.python.org/packages/source/l/%{_lxml}/%{_lxml}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Vendor: Project Vine
Distribution: Vine Linux

BuildRequires: libxml2-devel >= 2.6.21
BuildRequires: libxslt-devel >= 1.1.15
BuildRequires: python-devel >= 2.3
BuildRequires: python-pyrex

%description
lxml is a Pythonic binding for the libxml2_ and libxslt_ libraries.  It is
unique in that it combines the speed and feature completeness of these
libraries with the simplicity of a native Python API, mostly compatible but
superior to the well-known ElementTree_ API.  See the introduction_ for more
information about background and goals.

%prep
%setup -q -n %{_lxml}-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES.txt CREDITS.txt LICENSES.txt README.txt TODO.txt
%doc doc
%{python_sitearch}/%{_lxml}
%{python_sitearch}/%{_lxml}-*-info

%changelog
* Wed Mar 10 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 2.2.6-2
- change required version of libxml2-devel for Vine Plus/5
  (2.7.2 or later is recomended, but works with 2.6.21 or later)

* Sun Mar 07 2010 Shu KONNO <owa@bg.wakwak.com> 2.2.6-1
- initial build for vine linux

